<?php

namespace Controllers;

use Teknisa\GER\Utilities\Environment;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;

class ComposicaoVariacao extends \Teknisa\GER\Controllers\TeknisaCrud {

	protected $dataSourceName = 'proreceitam_produto';

	public function __construct(Manager $dataSourceManager, Environment $environment, ParameterBag $parameterBag){

		parent::__construct($dataSourceManager, $environment, $parameterBag);

	}

	public function find(DTO\Request\Filter $request, DTO\Response $response){

		$filterCriteria = $request->getFilterCriteria();
        $filterCriteria->addCondition("NRORG", "=", $this->environment->getNrOrgTrab());
		parent::find($request, $response);

	}

}